using System;

namespace Takmicenje_2
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int N = int.Parse(s[0]);
            int M = int.Parse(s[1]);
            int[] a = new int[N];
            for (int i = 0; i < N; i++) a[i] = int.Parse(Console.ReadLine());
            int u = 0;
            for(int i = 0; i < M; i++)
            {
                string[] s1 = Console.ReadLine().Split();
                int d1 = int.Parse(s1[0])-1;
                int d2 = int.Parse(s1[1])-1;
                if (Math.Abs(a[d1]) > Math.Abs(a[d2]))
                {
                    if (a[d1] > 0)
                    {
                        if (a[d2] > 0) u += a[d1] + a[d2];
                        else u += a[d1] - a[d2];
                    }
                    else
                    {
                        if (a[d2] < 0) u += a[d1] + a[d2];
                        else u += a[d1] - a[d2];
                    }
                }
                else
                {
                    if (a[d2] > 0)
                    {
                        if (a[d1] > 0) u += a[d2] + a[d1];
                        else u += a[d2] - a[d1];
                    }
                    else
                    {
                        if (a[d1] < 0) u += a[d2] + a[d1];
                        else u += a[d2] - a[d1];
                    }
                }
            }
            Console.WriteLine(u);
        }
    }
}